> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.crehana.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.crehana.com/_mcp/server.

# Get Centralized User Organizations

GET https://www.crehana.com/api/v5/rest/org/{organization_slug}/users/user-organizations/

**Purpose:** This endpoint returns a paginated list of all users loaded in the platform, including their organizational structure and the IDs
            required to interact with information from other modules, also include Extra Fields.

Reference: https://developer.crehana.com/api-reference/endpoints/users/get-centralized-user-organizations

## Authentication

- `Api-Key` header (required) — API key of the organization. Always sent together with the `Secret-Access` header.

## Servers

- `https://www.crehana.com` (Production, default)
- `https://qa.creha.co` (QA)

## Request

### Path parameters

- `organization_slug` (string, required)

### Query parameters

- `status` (string, optional)
- `area_id` (integer, optional)
- `area_name` (string, optional)
- `headquarter_id` (integer, optional)
- `headquarter_name` (string, optional)
- `position_id` (integer, optional)
- `position_name` (string, optional)
- `position_category_id` (integer, optional)
- `position_category_name` (string, optional)
- `role` (string, optional)
- `document` (string, optional)
- `search` (string, optional)
- `limit` (integer, optional)
- `offset` (integer, optional)

## Response

### 200

Successful Response

- `results` (list of CentralizedUserOrganization, required)
- `total` (integer, optional)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### CentralizedUserOrganization

- `id` (string, required)
- `user` (CentralizedUser, required)
- `status` (string, required)
- `role` (string, required)
- `area` (Area, required)
- `position` (Position, required)
- `position_category` (PositionCategory, required)
- `created_at` (datetime, required)
- `document_type` (string, optional)
- `document` (string, optional)
- `civil_status` (string, optional)
- `country_code` (string, optional)
- `headquarter` (Headquarter, optional)
- `incorporation_date` (date, optional)
- `birthday_date` (date, optional)
- `updated_at` (datetime, optional)
- `learning_user_id` (string, optional)
- `learning_user_organization_id` (string, optional)
- `talent_employee_id` (string, optional)
- `custom_fields` (list of CentralizedUserCustomField, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### CentralizedUser

- `id` (string, required)
- `email` (string, required)
- `first_name` (string, required)
- `last_name` (string, required)
- `username` (string, optional)

### Area

- `id` (string, required)
- `label` (string, required)
- `name` (string, required)

### Position

- `id` (string, required)
- `name` (string, required)

### PositionCategory

- `id` (string, required)
- `name` (string, required)

### Headquarter

- `id` (string, required)
- `name` (string, required)

### CentralizedUserCustomField

- `id` (integer, optional)
- `value` (string, optional)
- `choice_id` (integer, optional)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "string",
      "user": {
        "id": "string",
        "email": "string",
        "first_name": "string",
        "last_name": "string",
        "username": "string"
      },
      "status": "string",
      "role": "string",
      "area": {
        "id": "string",
        "label": "string",
        "name": "string"
      },
      "position": {
        "id": "string",
        "name": "string"
      },
      "position_category": {
        "id": "string",
        "name": "string"
      },
      "created_at": "2024-01-15T09:30:00Z",
      "document_type": "string",
      "document": "string",
      "civil_status": "string",
      "country_code": "string",
      "headquarter": {
        "id": "string",
        "name": "string"
      },
      "incorporation_date": "2023-01-15",
      "birthday_date": "2023-01-15",
      "updated_at": "2024-01-15T09:30:00Z",
      "learning_user_id": "string",
      "learning_user_organization_id": "string",
      "talent_employee_id": "string",
      "custom_fields": [
        {
          "id": 1,
          "value": "string",
          "choice_id": 1
        }
      ]
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/"

headers = {
    "Secret-Access": "Secret-Access",
    "Api-Key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/';
const options = {
  method: 'GET',
  headers: {'Secret-Access': 'Secret-Access', 'Api-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Secret-Access", "Secret-Access")
	req.Header.Add("Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Secret-Access"] = 'Secret-Access'
request["Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/")
  .header("Secret-Access", "Secret-Access")
  .header("Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/', [
  'headers' => [
    'Api-Key' => '<apiKey>',
    'Secret-Access' => 'Secret-Access',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/");
var request = new RestRequest(Method.GET);
request.AddHeader("Secret-Access", "Secret-Access");
request.AddHeader("Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Secret-Access": "Secret-Access",
  "Api-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.crehana.com/api/v5/rest/org/organization_slug/users/user-organizations/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```